Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Time_Request::Transfer Struct Reference

List of all members.

## Public Attributes
ACE_INT32 | msg_type_
| Type of the request (i.e., <TIME_UPDATE>).
ACE_UINT32 | block_forever_
ACE_UINT32 | sec_timeout_
| Max seconds willing to wait for name if not blocking forever.
ACE_UINT32 | usec_timeout_
| Max micro seconds to wait for name if not blocking forever.
ACE_UINT32 | time_
| The data portion contains <time_>.

## Member Data Documentation

ACE_UINT32 ACE_Time_Request::Transfer::block_forever_

| Indicates if we should block forever. If 0, then sec_timeout_ and usec_timeout_ indicates how long we should wait.

ACE_INT32 ACE_Time_Request::Transfer::msg_type_

| Type of the request (i.e., <TIME_UPDATE>).

ACE_UINT32 ACE_Time_Request::Transfer::sec_timeout_

| Max seconds willing to wait for name if not blocking forever.

ACE_UINT32 ACE_Time_Request::Transfer::time_

| The data portion contains <time_>.

ACE_UINT32 ACE_Time_Request::Transfer::usec_timeout_

| Max micro seconds to wait for name if not blocking forever.

The documentation for this struct was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Time_Request_Reply.h